Bug 1700068 - [Conformance][Area:Networking][Feature:Router] are failing on UPI installations
Summary: [Conformance][Area:Networking][Feature:Router] are failing on UPI installations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Miciah Dashiel Butler Masters
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-15 18:06 UTC by Abhinav Dahiya
Modified: 2019-06-04 10:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:43 UTC
Github openshift origin pull 22586 'None' 'closed' 'Bug 1700068: test/extended: Use internal service if no router LB' 2019-11-13 13:54:43 UTC

Description Abhinav Dahiya 2019-04-15 18:06:50 UTC
HAProxy router tests are consistently failing on UPI metal installations.

example:

https://openshift-gce-devel.appspot.com/build/origin-ci-test/pr-logs/pull/openshift_installer/1621/pull-ci-openshift-installer-master-e2e-metal/4

```
[Conformance][Area:Networking][Feature:Router] The HAProxy router should enable openshift-monitoring to pull metrics [Suite:openshift/conformance/parallel/minimal]
[Conformance][Area:Networking][Feature:Router] The HAProxy router should expose a health check on the metrics port [Suite:openshift/conformance/parallel/minimal]
[Conformance][Area:Networking][Feature:Router] The HAProxy router should expose the profiling endpoints [Suite:openshift/conformance/parallel/minimal]
[Conformance][Area:Networking][Feature:Router] The HAProxy router should respond with 503 to unrecognized hosts [Suite:openshift/conformance/parallel/minimal]
[Conformance][Area:Networking][Feature:Router] The HAProxy router should serve routes that were created from an ingress [Suite:openshift/conformance/parallel/minimal]
[Conformance][Area:Networking][Feature:Router] The HAProxy router should set Forwarded headers appropriately [Suite:openshift/conformance/parallel/minimal]
[Conformance][Area:Networking][Feature:Router] The HAProxy router should support reencrypt to services backed by a serving certificate automatically [Suite:openshift/conformance/parallel/minimal]
```

Expected:
expected them to not fail

Comment 1 Miciah Dashiel Butler Masters 2019-04-16 17:09:57 UTC
These tests have logic that is intended to cause them to be skipped when HostNetworking is used:

[Conformance][Area:Networking][Feature:Router] The HAProxy router should respond with 503 to unrecognized hosts [Suite:openshift/conformance/parallel/minimal]
[Conformance][Area:Networking][Feature:Router] The HAProxy router should serve routes that were created from an ingress [Suite:openshift/conformance/parallel/minimal]
[Conformance][Area:Networking][Feature:Router] The HAProxy router should set Forwarded headers appropriately [Suite:openshift/conformance/parallel/minimal]
[Conformance][Area:Networking][Feature:Router] The HAProxy router should support reencrypt to services backed by a serving certificate automatically [Suite:openshift/conformance/parallel/minimal]

The reason they are not skipped appears to be a logic error (namely, we have a function, waitForRouterServiceIP, that gets the "router-default" service, and the test is supposed to be skipped if the service is not found, but waitForRouterServiceIP is not returning an is-not-found error—rather, it is returning a timed-out-waiting-for-condition error from a poll loop).  This is relatively straightforward to fix.

These tests do not have the same logic:

[Conformance][Area:Networking][Feature:Router] The HAProxy router should enable openshift-monitoring to pull metrics [Suite:openshift/conformance/parallel/minimal]
[Conformance][Area:Networking][Feature:Router] The HAProxy router should expose a health check on the metrics port [Suite:openshift/conformance/parallel/minimal]
[Conformance][Area:Networking][Feature:Router] The HAProxy router should expose the profiling endpoints [Suite:openshift/conformance/parallel/minimal]

We need to decide whether the intention is to skip these tests or whether we need to do more work to make the tests pass when HostNetworking is used.  I'll bring this up with the team.

Comment 2 Abhinav Dahiya 2019-04-16 17:46:14 UTC
This is blocking installer team's UPI metal and vsphere CI efforts. therefore I hope it is okay to bump to high for 4.1.0

Comment 3 Miciah Dashiel Butler Masters 2019-04-22 20:55:01 UTC
PR: https://github.com/openshift/origin/pull/22586

Comment 5 Hongan Li 2019-04-24 08:14:44 UTC
@Abhinav, could you help check this in the latest UPI metal and vsphere CI test. Thanks.

Comment 6 Hongan Li 2019-04-28 03:17:01 UTC
I'm going to mark this as verified. Please reopen if it still exists in latest test.

Comment 8 errata-xmlrpc 2019-06-04 10:47:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.